Uses of Class
org.mockserver.model.Parameter
Packages that use Parameter
Package
Description
-
Uses of Parameter in org.mockserver.model
Methods in org.mockserver.model that return ParameterModifier and TypeMethodDescriptionParameters.build(NottableString name, Collection<NottableString> values) static ParameterParameter.optionalParam(String name, String... values) static Parameterstatic ParameterParameter.param(String name, Collection<String> value) static ParameterParameter.param(NottableString name, String... value) static ParameterParameter.param(NottableString name, Collection<NottableString> value) static ParameterParameter.param(NottableString name, NottableString... value) static ParameterParameter.schemaParam(String name, String... values) static ParameterParameter.schemaParam(NottableString name, String... values) Parameter.withStyle(ParameterStyle style) Methods in org.mockserver.model that return types with arguments of type ParameterModifier and TypeMethodDescriptionHttpRequest.getPathParameterList()HttpRequest.getQueryStringParameterList()Methods in org.mockserver.model with parameters of type ParameterModifier and TypeMethodDescriptionstatic ParameterBodyParameterBody.parameterBody(Parameter... parameters) static ParametersParameters.parameters(Parameter... parameters) static ParameterBodyHttpRequest.withPathParameter(Parameter parameter) Adds one path parameter to match on as a Parameter object where the parameter values list can be a list of strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequest.withPathParameters(Parameter... parameters) The path parameter to match on as a varags Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequest.withQueryStringParameter(Parameter parameter) Adds one query string parameter to match on as a Parameter object where the parameter values list can be a list of strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequest.withQueryStringParameters(Parameter... parameters) The query string parameters to match on as a varags Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)Method parameters in org.mockserver.model with type arguments of type ParameterModifier and TypeMethodDescriptionstatic ParameterBodyParameterBody.parameterBody(List<Parameter> parameters) static ParameterBodyHttpRequest.withPathParameters(List<Parameter> parameters) The path parameter to match on as a list of Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequest.withQueryStringParameters(List<Parameter> parameters) The query string parameters to match on as a list of Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestModifier.withQueryStringParameters(List<Parameter> add, List<Parameter> replace, List<String> remove) Constructors in org.mockserver.model with parameters of type ParameterModifierConstructorDescriptionParameterBody(Parameter... parameters) Parameters(Parameter... parameters) Constructor parameters in org.mockserver.model with type arguments of type ParameterModifierConstructorDescriptionParameterBody(List<Parameter> parameters) Parameters(List<Parameter> parameters) -
Uses of Parameter in org.mockserver.serialization.java
Methods in org.mockserver.serialization.java with parameters of type ParameterModifier and TypeMethodDescriptionParameterToJavaSerializer.serializeAsJava(int numberOfSpacesToIndent, Parameter... object) Method parameters in org.mockserver.serialization.java with type arguments of type ParameterModifier and TypeMethodDescriptionParameterToJavaSerializer.serializeAsJava(int numberOfSpacesToIndent, List<Parameter> parameters) -
Uses of Parameter in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return ParameterConstructors in org.mockserver.serialization.model with parameters of type Parameter